Skip to main content
`Ctrl`+`K`

# pandas.core.window.rolling.Window.mean

Window.mean(numeric_only=False, **kwargs)

  Calculate the rolling weighted window mean.

  Parameters:
    numeric_only bool, default False

      Include only float, int, boolean columns.

      Added in version 1.5.0.

    **kwargs

      Keyword arguments to configure the `SciPy` weighted window type.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.mean`

    Aggregating mean for Series.

  `pandas.DataFrame.mean`

    Aggregating mean for DataFrame.

  Examples

      >>> ser = pd.Series([0, 1, 5, 2, 8])

  To get an instance of `Window` we need to pass the parameter win_type.

      >>> type(ser.rolling(2, win_type='gaussian'))
      <class 'pandas.core.window.rolling.Window'>

  In order to use the SciPy Gaussian window we need to provide the parameters M and std. The parameter M corresponds to 2 in our example. We pass the second parameter std as a parameter of the following method:

      >>> ser.rolling(2, win_type='gaussian').mean(std=3)
      0    NaN
      1    0.5
      2    3.0
      3    3.5
      4    5.0
      dtype: float64